/**
 * Created by Tony on 2017/7/11.
 * 为后台报表模板选择指标用
 */
const mongoose = require('mongoose');
let MapFieldSchema = new mongoose.Schema({
    "fieldMapGrpName" : String,
    "Name": String,
    "remark" : String,
    "seq" : Number,
    "items" : [{
        "ID": Number,
        "Name": String,
        "mapExpression": String,
        "adHocFormula": {"run_type": String, "expression": String, "format": String},
        "descr": String
    }]
});

let Rpt_Map_Field_Mdl = mongoose.model("rpt_mapping_field", MapFieldSchema, "rpt_mapping_field");

// export {Rpt_Map_Field_Mdl as default};